Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.io.path
Class PathTrackingWriter

    java.lang.Object
      com.thoughtworks.xstream.io.WriterWrapper
          com.thoughtworks.xstream.io.path.PathTrackingWriter

All Implemented Interfaces:
  ExtendedHierarchicalStreamWriter, HierarchicalStreamWriter

    public class PathTrackingWriter

extends WriterWrapper

Wrapper for HierarchicalStreamWriter that tracks the path (a subset of XPath) of the current node that is being written.

Author:
  Joe Walnes
See Also:
  `PathTracker`, `Path`

Field Summary

Fields inherited from class com.thoughtworks.xstream.io.WriterWrapper
`wrapped`

Constructor Summary
`PathTrackingWriter(HierarchicalStreamWriter writer, PathTracker pathTracker)`

Method Summary
`void` | `endNode()`
`void` | `startNode(String name)`
`void` | `startNode(String name, Class clazz)`

Methods inherited from class com.thoughtworks.xstream.io.WriterWrapper
`addAttribute, close, flush, setValue, underlyingWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathTrackingWriter

    public PathTrackingWriter(HierarchicalStreamWriter writer,
                              PathTracker pathTracker)

Method Detail

### startNode

    public void startNode(String name)

  Specified by:
    `startNode` in interface `HierarchicalStreamWriter`
  Overrides:
    `startNode` in class `WriterWrapper`

### startNode

    public void startNode(String name,
                          Class clazz)

  Specified by:
    `startNode` in interface `ExtendedHierarchicalStreamWriter`
  Overrides:
    `startNode` in class `WriterWrapper`

### endNode

    public void endNode()

  Specified by:
    `endNode` in interface `HierarchicalStreamWriter`
  Overrides:
    `endNode` in class `WriterWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.